# blurt.blog Repository FAQ

# Golden Rules

* The issue tracker is for bugs and specific implementation discussion.  It
  is not appropriate for product metadiscussion - it is a workroom, not a
  cocktail party.

* Not every feature that spawns a drama thread on blurt.blog necessarily
  warrants a commit/PR. Frequently, such threads occur even when nothing is
  broken or when things are working as intended.  Not all problems
  encountered warrant technical solutions.

* Issues opened that devolve into lengthy discussion of minor site features
  will be closed or locked.  The issue tracker is not a general purpose
  discussion forum.

* Working code (usually) trumps all.  Requests to make changes to
  blurt.blog that include working, tested Pull Requests jump to the top of
  the queue.  (This is not a guarantee that all functionality submitted as a
  PR will be merged, however.)

* For many small changes, it may be easiest to send a Pull Request *instead* of
  opening an issue requesting a change be made.  Anyone with a GitHub
  account can search the repo, edit a file in the browser, and send in a PR.
  It's easier than you might think!
